#!/bin/sh
set -e
cd /app

if [ ! -f node_modules/.installed ]; then
  export CI=true
  export npm_config_maxsockets=1
  export NPM_CONFIG_LEGACY_PEER_DEPS=true
  npm install --no-audit --no-fund
  touch node_modules/.installed
fi

exec npm run dev -- --host 0.0.0.0 --port 5173
